Bug 1597511 - introduce cluster.daemon-log-level option
Summary: introduce cluster.daemon-log-level option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Atin Mukherjee
QA Contact: Bala Konda Reddy M
URL:
Whiteboard:
Depends On: 1597473 1597509
Blocks: 1466455 1503137 1597663
TreeView+ depends on / blocked
 
Reported: 2018-07-03 06:25 UTC by Atin Mukherjee
Modified: 2018-09-04 06:50 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.12.2-14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1597509
Environment:
Last Closed: 2018-09-04 06:49:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:50:42 UTC

Comment 4 Bala Konda Reddy M 2018-07-23 11:27:30 UTC
BUILD: 3.12.2-14

1. Created a replicated volume (1X3)
2. Enabled quota and uss, mounted the volume an performed untar of Linux kernel
3. Changed the cluster.daemon-log-level from INFO to DEBUG and restarted the volume, In shd and quota logs seen 'D' messages
4. Changed from DEBUG to TRACE and restarted the volume, seen 'T' messages in the respective logs in all the nodes
5. Changed from Trace to WARNING and restarted the volume, seen 'W' messages in the respective logs in all the nodes
6. Changed from WARNING to INFO and restarted the volume, seen 'I' messages in the respective logs in all the nodes
7. Changed from INFO to TRACE and restarted the volume, seen 'T' messages in the respective logs in all the nodes.

cluster.daemon-log-level option is working properly

Hence marking it as verified

Comment 5 errata-xmlrpc 2018-09-04 06:49:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.